API ReferenceDesigns
List designs
Authorization
api-key AuthorizationBearer <token>
Workspace API key (nim_live_...)
In: header
Query Parameters
limit?number
Range
1 <= value <= 50Default
20cursor?string
nextCursor from the previous page.
Response Body
application/json
curl -X GET "https://example.com/v1/designs"{ "data": [ { "id": "0d9c3a52-7b1e-4f7a-9d55-3f4b2a1c9e10", "name": "Summer sale", "width": 1080, "height": 1350, "pageCount": 1, "sizePreset": "ig-post-45", "editUrl": "https://app.nimply.io/workspace/8b2e5821-…/studio/design/0d9c3a52-…", "previewUrls": [ "string" ], "thumbnailUrl": "string", "createdAt": "2026-10-21T09:00:00.000Z", "brandMatch": 82, "styleVersion": 3 } ], "nextCursor": "string"}